Get Creation Attributes
curl --request POST \
--url https://{host}/Agent/Tokens/GetCreationAttributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{host}/Agent/Tokens/GetCreationAttributes"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{host}/Agent/Tokens/GetCreationAttributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"currency": "<string>",
"commission": 123,
"trustProvider": "<string>"
}Tokens
Get Creation Attributes
Gets essential attributes needed for getting the Trust Provider to accept token creation contracts.
POST
/
Agent
/
Tokens
/
GetCreationAttributes
Get Creation Attributes
Overview
Gets essential attributes needed for getting the Trust Provider to accept token creation contracts.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type object.
⌘I